This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 436126 - Review Request: extremetuxracer - 3D racing game featuring Tux
Review Request: extremetuxracer - 3D racing game featuring Tux
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 435432
  Show dependency treegraph
 
Reported: 2008-03-05 10:41 EST by Nils Philippsen
Modified: 2011-12-13 11:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 08:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2008-03-05 10:41:43 EST
Spec URL: http://tiptoe.de/dav/fedora-reviews/extremetuxracer.spec
SRPM URL: http://tiptoe.de/dav/fedora-reviews/extremetuxracer-0.4-0.fc8.src.rpm
Description:
Extreme Tux Racer is an open-source downhill racing game starring Tux, the
Linux mascot.
Comment 1 Nils Philippsen 2008-03-05 10:42:28 EST
NB: This will replace ppracer which hasn't had upstream activity in ages.
Comment 2 manuel wolfshant 2008-03-05 12:48:14 EST
mock build fails here (devel/x86-64) with 
checking for main in -ldl...
yes
checking for main in -lm...
yes
checking for location of tclConfig.sh...
configure: error: tclConfig.sh not found - use the --with-tcl option
error: Bad exit status from /var/tmp/rpm-tmp.7432 (%build)
    Bad exit status from /var/tmp/rpm-tmp.7432 (%build)
RPM build errors:
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps
builddir/build/SPECS/extremetuxracer.spec']

there are a couple of BR duplicates (I won't object if you want to keep them,
but the recommended way is to remove them):
libICE-devel (by libSM-devel), libX11-devel (by libXext-devel), libXext-devel
(by libXmu-devel), libXt-devel (by libXmu-devel), libSM-devel (by libXt-devel),
libGL-devel (by SDL-devel), libGLU-devel (by SDL-devel), SDL-devel (by
SDL_mixer-devel), zlib-devel (by freetype-devel)

sed should not be included because it is in the standard buildroot
Comment 3 manuel wolfshant 2008-03-05 15:43:18 EST
mock is happy with 

%configure --with-tcl=%{_libdir}


the full review is on the way
Comment 4 manuel wolfshant 2008-03-05 16:51:28 EST
The below review is based on your package after applying the following "patch":

< Release: 1%{?dist}
---
> Release: 0%{?dist}
62c62
< %configure --with-tcl=%{_libdir}
---
> %configure
98,100d97
< * Wed Mar 05 2008 manuel wolfshant <wolfy@fedoraproject.org> 0.4-1
< - fix %%configure line
<

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:
extremetuxracer.x86_64: W: wrong-file-end-of-line-encoding
/usr/share/doc/extremetuxracer-0.4/contrib/script-fu/ppracer-save-as-pngs.scm
extremetuxracer.x86_64: W: wrong-file-end-of-line-encoding
/usr/share/doc/extremetuxracer-0.4/contrib/script-fu/ppracer-create-level.scm
--> both scripts end with CR-LF. ignorable, I presume
extremetuxracer.x86_64: W: obsolete-not-provided tuxracer
extremetuxracer.x86_64: W: obsolete-not-provided ppracer
--> ignorable but are you sure you want/need to obsolete these packages? They
seem to be different, even if they are based on the same grounds

 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: db5e55b5780dc2578d8c80d0ce48354b99bb53cf
extremetuxracer-0.4.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
  [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64 and F7/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:devel/x86_64 and F7/x86_64
 [x] Package functions as described.
 [!] Scriptlets must be sane, if used.
see issue #2 (desktop file / icon name has extension
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


=== Issues ===
1. MUSTFIX --with-tcl=%{_libdir} in the %configure line
2. Needs work:
* BuildRequires: sed should not be included
* Desktop file: the Icon tag should either use the full path to the icon or the
icon name without extension
  (wiki:Packaging/Guidelines#desktop)
3. Minor:
* Duplicate BuildRequires: libICE-devel (by libSM-devel), libX11-devel (by
libXext-devel), libXext-devel (by libXmu-devel), libXt-devel (by libXmu-devel),
libSM-devel (by libXt-devel), libGL-devel (by SDL-devel), libGLU-devel (by
SDL-devel), SDL-devel (by SDL_mixer-devel), zlib-devel (by freetype-devel)


=== Final Notes ===
 Please fix the %configure line, consider removing the duplicate BRs and
removing sed from BR and you are good to go. 
 Also, could you please elaborate on your intention to _replace_ tuxracer and
ppracer rather than simply adding a new [similar] game ? I've noticed that the
%URL given in ppracer's spec is not valid any more, but the %SOURCE link seems
fine. Is this project dead? Are the courses provided by this package identical /
replacements for those included in the other 2 games?
Comment 5 manuel wolfshant 2008-03-05 16:54:32 EST
OK, I've read https://bugzilla.redhat.com/show_bug.cgi?id=435432 so I take back
the last paragraph. Please fix the items listed under Issues and we can make
Kevin happy :)
Comment 6 Nils Philippsen 2008-03-06 12:11:28 EST
Beyond applying your %configure patch, I've changed this:

[...]
- Package Review (#436126):
  - remove BR: sed, zlib-devel
  - add BR: pkgconfig
  - use icon name without extension in desktop file
[...]

NB: I haven't removed most of the BRs because the package is using them (linking
their libraries, calling scripts, ...) directly.

Find the updated files at:
http://tiptoe.de/dav/fedora-reviews/extremetuxracer.spec
http://tiptoe.de/dav/fedora-reviews/extremetuxracer-0.4-1.fc8.src.rpm
Comment 7 manuel wolfshant 2008-03-06 12:53:26 EST
==  APPROVED  ==

You could nuke the BRs because they will be pulled in by the chain of
dependencies created by the packages included as BR.
Comment 8 Nils Philippsen 2008-03-07 04:33:21 EST
They will be pulled in now -- who knows how long these dependencies stay there?
I'd rather be explicit than sorry ;-). Anyway, thanks a lot for the review!

New Package CVS Request
=======================
Package Name: extremetuxracer
Short Description: 3D racing game featuring Tux
Owners: nphilipp
Branches: F-7, F-8
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-03-07 12:57:37 EST
cvs done.

Make sure you follow the proper end of life procedure for ppracer. 
You might also consider adding Provides for tuxracer and ppracer, so folks can
easily install this without looking around for it. 

Comment 10 Nils Philippsen 2011-12-13 10:41:26 EST
Package Change Request
======================
Package Name: extremetuxracer
New Branches: el-6
Owners: mcepl nphilipp

See bug #747593 for details.
Comment 11 Jon Ciesla 2011-12-13 11:25:26 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.